"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.SortOrder = exports.Sender = exports.FeedbackType = exports.Category = exports.Action = exports.updateExtendedFields = exports.bulkUpdateMessageTagsByFilter = exports.bulkUpdateMessageTags = exports.addFeedback = exports.askQuestion = exports.queryMessages = exports.__metadata = void 0;
const innovation_playground_v2_message_assistant_training_universal_js_1 = require("./innovation-playground-v2-message-assistant-training.universal.js");
exports.__metadata = { PACKAGE_NAME: '@wix/ai-site-chat' };
function queryMessages(httpClient) {
    return () => (0, innovation_playground_v2_message_assistant_training_universal_js_1.queryMessages)(
    // @ts-ignore
    { httpClient });
}
exports.queryMessages = queryMessages;
function askQuestion(httpClient) {
    return (question) => (0, innovation_playground_v2_message_assistant_training_universal_js_1.askQuestion)(question, 
    // @ts-ignore
    { httpClient });
}
exports.askQuestion = askQuestion;
function addFeedback(httpClient) {
    return (messageId, options) => (0, innovation_playground_v2_message_assistant_training_universal_js_1.addFeedback)(messageId, options, 
    // @ts-ignore
    { httpClient });
}
exports.addFeedback = addFeedback;
function bulkUpdateMessageTags(httpClient) {
    return (ids, options) => (0, innovation_playground_v2_message_assistant_training_universal_js_1.bulkUpdateMessageTags)(ids, options, 
    // @ts-ignore
    { httpClient });
}
exports.bulkUpdateMessageTags = bulkUpdateMessageTags;
function bulkUpdateMessageTagsByFilter(httpClient) {
    return (filter, options) => (0, innovation_playground_v2_message_assistant_training_universal_js_1.bulkUpdateMessageTagsByFilter)(filter, options, 
    // @ts-ignore
    { httpClient });
}
exports.bulkUpdateMessageTagsByFilter = bulkUpdateMessageTagsByFilter;
function updateExtendedFields(httpClient) {
    return (_id, namespace, options) => (0, innovation_playground_v2_message_assistant_training_universal_js_1.updateExtendedFields)(_id, namespace, options, 
    // @ts-ignore
    { httpClient });
}
exports.updateExtendedFields = updateExtendedFields;
var innovation_playground_v2_message_assistant_training_universal_js_2 = require("./innovation-playground-v2-message-assistant-training.universal.js");
Object.defineProperty(exports, "Action", { enumerable: true, get: function () { return innovation_playground_v2_message_assistant_training_universal_js_2.Action; } });
Object.defineProperty(exports, "Category", { enumerable: true, get: function () { return innovation_playground_v2_message_assistant_training_universal_js_2.Category; } });
Object.defineProperty(exports, "FeedbackType", { enumerable: true, get: function () { return innovation_playground_v2_message_assistant_training_universal_js_2.FeedbackType; } });
Object.defineProperty(exports, "Sender", { enumerable: true, get: function () { return innovation_playground_v2_message_assistant_training_universal_js_2.Sender; } });
Object.defineProperty(exports, "SortOrder", { enumerable: true, get: function () { return innovation_playground_v2_message_assistant_training_universal_js_2.SortOrder; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return innovation_playground_v2_message_assistant_training_universal_js_2.WebhookIdentityType; } });
//# sourceMappingURL=innovation-playground-v2-message-assistant-training.public.js.map