import { addFeedback as universalAddFeedback, askQuestion as universalAskQuestion, bulkUpdateMessageTags as universalBulkUpdateMessageTags, bulkUpdateMessageTagsByFilter as universalBulkUpdateMessageTagsByFilter, queryMessages as universalQueryMessages, updateExtendedFields as universalUpdateExtendedFields, } from './innovation-playground-v2-message-assistant-training.universal.js';
export const __metadata = { PACKAGE_NAME: '@wix/ai-site-chat' };
export function queryMessages(httpClient) {
    return () => universalQueryMessages(
    // @ts-ignore
    { httpClient });
}
export function askQuestion(httpClient) {
    return (question) => universalAskQuestion(question, 
    // @ts-ignore
    { httpClient });
}
export function addFeedback(httpClient) {
    return (messageId, options) => universalAddFeedback(messageId, options, 
    // @ts-ignore
    { httpClient });
}
export function bulkUpdateMessageTags(httpClient) {
    return (ids, options) => universalBulkUpdateMessageTags(ids, options, 
    // @ts-ignore
    { httpClient });
}
export function bulkUpdateMessageTagsByFilter(httpClient) {
    return (filter, options) => universalBulkUpdateMessageTagsByFilter(filter, options, 
    // @ts-ignore
    { httpClient });
}
export function updateExtendedFields(httpClient) {
    return (_id, namespace, options) => universalUpdateExtendedFields(_id, namespace, options, 
    // @ts-ignore
    { httpClient });
}
export { Action, Category, FeedbackType, Sender, SortOrder, WebhookIdentityType, } from './innovation-playground-v2-message-assistant-training.universal.js';
//# sourceMappingURL=innovation-playground-v2-message-assistant-training.public.js.map