import { queryMessages as publicQueryMessages, askQuestion as publicAskQuestion, addFeedback as publicAddFeedback, bulkUpdateMessageTags as publicBulkUpdateMessageTags, bulkUpdateMessageTagsByFilter as publicBulkUpdateMessageTagsByFilter, updateExtendedFields as publicUpdateExtendedFields } from './innovation-playground-v2-message-assistant-training.public.js';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
export declare const queryMessages: MaybeContext<BuildRESTFunction<typeof publicQueryMessages> & typeof publicQueryMessages>;
export declare const askQuestion: MaybeContext<BuildRESTFunction<typeof publicAskQuestion> & typeof publicAskQuestion>;
export declare const addFeedback: MaybeContext<BuildRESTFunction<typeof publicAddFeedback> & typeof publicAddFeedback>;
export declare const bulkUpdateMessageTags: MaybeContext<BuildRESTFunction<typeof publicBulkUpdateMessageTags> & typeof publicBulkUpdateMessageTags>;
export declare const bulkUpdateMessageTagsByFilter: MaybeContext<BuildRESTFunction<typeof publicBulkUpdateMessageTagsByFilter> & typeof publicBulkUpdateMessageTagsByFilter>;
export declare const updateExtendedFields: MaybeContext<BuildRESTFunction<typeof publicUpdateExtendedFields> & typeof publicUpdateExtendedFields>;
export { Sender, Category, Action, FeedbackType, SortOrder, WebhookIdentityType, } from './innovation-playground-v2-message-assistant-training.universal.js';
export { Message, Feedback, Document, Body, ExtendedFields, Tags, TagList, QueryMessagesRequest, CursorQuery, CursorQueryPagingMethodOneOf, Sorting, CursorPaging, QueryMessagesResponse, CursorPagingMetadata, Cursors, AskQuestionRequest, AskQuestionResponse, AddFeedbackRequest, AddFeedbackResponse, BulkUpdateMessageTagsRequest, BulkUpdateMessageTagsResponse, ItemMetadata, ApplicationError, BulkUpdateMessageTagsResult, BulkActionMetadata, BulkUpdateMessageTagsByFilterRequest, BulkUpdateMessageTagsByFilterResponse, UpdateExtendedFieldsRequest, UpdateExtendedFieldsResponse, Empty, DomainEvent, DomainEventBodyOneOf, EntityCreatedEvent, RestoreInfo, EntityUpdatedEvent, EntityDeletedEvent, ActionEvent, MessageEnvelope, IdentificationData, IdentificationDataIdOneOf, QueryMessagesResponseNonNullableFields, AskQuestionResponseNonNullableFields, AddFeedbackResponseNonNullableFields, BulkUpdateMessageTagsResponseNonNullableFields, BulkUpdateMessageTagsByFilterResponseNonNullableFields, UpdateExtendedFieldsResponseNonNullableFields, MessagesQueryResult, MessagesQueryBuilder, AddFeedbackOptions, BulkUpdateMessageTagsOptions, BulkUpdateMessageTagsByFilterOptions, UpdateExtendedFieldsOptions, } from './innovation-playground-v2-message-assistant-training.universal.js';
