import * as ambassadorWixInnovationPlaygroundV2MessageTypes from './innovation-playground-v2-message-assistant-training.types.js';
import * as ambassadorWixInnovationPlaygroundV2MessageUniversalTypes from './innovation-playground-v2-message-assistant-training.universal.js';
export type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
export declare function queryMessages(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixInnovationPlaygroundV2MessageUniversalTypes.QueryMessagesRequest, ambassadorWixInnovationPlaygroundV2MessageTypes.QueryMessagesRequest, ambassadorWixInnovationPlaygroundV2MessageUniversalTypes.QueryMessagesResponse & ambassadorWixInnovationPlaygroundV2MessageUniversalTypes.QueryMessagesResponseNonNullableFields, ambassadorWixInnovationPlaygroundV2MessageTypes.QueryMessagesResponse & ambassadorWixInnovationPlaygroundV2MessageTypes.QueryMessagesResponseNonNullableFields>;
export declare function askQuestion(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixInnovationPlaygroundV2MessageUniversalTypes.AskQuestionRequest, ambassadorWixInnovationPlaygroundV2MessageTypes.AskQuestionRequest, ambassadorWixInnovationPlaygroundV2MessageUniversalTypes.AskQuestionResponse & ambassadorWixInnovationPlaygroundV2MessageUniversalTypes.AskQuestionResponseNonNullableFields, ambassadorWixInnovationPlaygroundV2MessageTypes.AskQuestionResponse & ambassadorWixInnovationPlaygroundV2MessageTypes.AskQuestionResponseNonNullableFields>;
export declare function addFeedback(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixInnovationPlaygroundV2MessageUniversalTypes.AddFeedbackRequest, ambassadorWixInnovationPlaygroundV2MessageTypes.AddFeedbackRequest, ambassadorWixInnovationPlaygroundV2MessageUniversalTypes.AddFeedbackResponse & ambassadorWixInnovationPlaygroundV2MessageUniversalTypes.AddFeedbackResponseNonNullableFields, ambassadorWixInnovationPlaygroundV2MessageTypes.AddFeedbackResponse & ambassadorWixInnovationPlaygroundV2MessageTypes.AddFeedbackResponseNonNullableFields>;
export declare function bulkUpdateMessageTags(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixInnovationPlaygroundV2MessageUniversalTypes.BulkUpdateMessageTagsRequest, ambassadorWixInnovationPlaygroundV2MessageTypes.BulkUpdateMessageTagsRequest, ambassadorWixInnovationPlaygroundV2MessageUniversalTypes.BulkUpdateMessageTagsResponse & ambassadorWixInnovationPlaygroundV2MessageUniversalTypes.BulkUpdateMessageTagsResponseNonNullableFields, ambassadorWixInnovationPlaygroundV2MessageTypes.BulkUpdateMessageTagsResponse & ambassadorWixInnovationPlaygroundV2MessageTypes.BulkUpdateMessageTagsResponseNonNullableFields>;
export declare function bulkUpdateMessageTagsByFilter(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixInnovationPlaygroundV2MessageUniversalTypes.BulkUpdateMessageTagsByFilterRequest, ambassadorWixInnovationPlaygroundV2MessageTypes.BulkUpdateMessageTagsByFilterRequest, ambassadorWixInnovationPlaygroundV2MessageUniversalTypes.BulkUpdateMessageTagsByFilterResponse & ambassadorWixInnovationPlaygroundV2MessageUniversalTypes.BulkUpdateMessageTagsByFilterResponseNonNullableFields, ambassadorWixInnovationPlaygroundV2MessageTypes.BulkUpdateMessageTagsByFilterResponse & ambassadorWixInnovationPlaygroundV2MessageTypes.BulkUpdateMessageTagsByFilterResponseNonNullableFields>;
export declare function updateExtendedFields(): __PublicMethodMetaInfo<'POST', {
    id: string;
}, ambassadorWixInnovationPlaygroundV2MessageUniversalTypes.UpdateExtendedFieldsRequest, ambassadorWixInnovationPlaygroundV2MessageTypes.UpdateExtendedFieldsRequest, ambassadorWixInnovationPlaygroundV2MessageUniversalTypes.UpdateExtendedFieldsResponse & ambassadorWixInnovationPlaygroundV2MessageUniversalTypes.UpdateExtendedFieldsResponseNonNullableFields, ambassadorWixInnovationPlaygroundV2MessageTypes.UpdateExtendedFieldsResponse & ambassadorWixInnovationPlaygroundV2MessageTypes.UpdateExtendedFieldsResponseNonNullableFields>;
